Deletes data product by ID
curl --request DELETE \
--url https://api.example.com/api/dataproduct/{dataproduct_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/dataproduct/{dataproduct_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/dataproduct/{dataproduct_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
true{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Data API
Deletes data product by ID
Deletes the specified data product by its ID.
DELETE
/
api
/
dataproduct
/
{dataproduct_id}
Deletes data product by ID
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique ID of the data product to delete.
Response
View deleted successfully.
The response is of type boolean.
Was this page helpful?
⌘I

